#include <iostream>
#include <string>
#include <cstdlib>
#include <ctime>

#include "GeneratorModel.h"

using namespace ThesisGenerator;

int main()
{
    srand(time(nullptr));
    std::string line;

    int questionCount, periodCount;
    std::cout << "Question count: ";
    std::cin >> questionCount;
    std::cout << "Period count: ";
    std::cin >> periodCount;
    GeneratorModel model(questionCount, periodCount);

    std::cout << "Press enter to generate thesis number!" << std::endl;
    std::getline(std::cin, line);
    do
    {
        std::cout << "Next thesis number: "
                  << model.generate() << std::endl;
        model.take();

        std::getline(std::cin, line);
    }
    while (line != "quit");

    return 0;
}
